Ticket #37266

Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

option for disable shift-out / shift-in

Open Date: 2017-06-13 11:05 Last Update: 2017-08-31 22:37

Reporter: yorklin Owner: doda
Type: Feature Requests Status: Closed
Component: Tera Term MileStone: Tera Term 4.96 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

The VT100-compatible if an ASCII 0x0e SO code is sent to the terminal, it switches to a graphical character set. This happens when hot plugging, wrong baudrate, and other hardware issue, sometimes you can't do shift-in back, but only reset teraterm.

Attachment File List

Ticket History (3/9 Histories)

2017-06-13 11:05 Updated by: yorklin
  • New Ticket "option for disable shift-out / shift-in" created
2017-06-13 11:06 Updated by: yorklin
  • File Untitled.png (File ID: 5330) is attached
2017-06-13 11:07 Updated by: yorklin
  • File Untitled2.png (File ID: 5331) is attached
2017-06-13 11:08 Updated by: yorklin
  • File vtterm.c (File ID: 5332) is attached
2017-06-13 11:09 Updated by: yorklin
  • File tttypes.h (File ID: 5333) is attached
2017-06-13 11:10 Updated by: yorklin
  • File ttset.c (File ID: 5334) is attached
2017-06-13 20:12 Updated by: doda
  • Milestone Update from (None) to Tera Term 4.96 (closed)
  • Owner Update from yutakapon to doda
  • Resolution Update from None to Accepted
2017-08-26 22:05 Updated by: doda
  • Resolution Update from Accepted to Fixed
Comment

I changed that other shift function can be disabled.

To disable the shift-in and shift-out, add the following in teraterm.ini:

ISO2022ShiftFunction=ALL,-SI,-SO

https://ttssh2.osdn.jp/manual/en/setup/teraterm-term.html#ISO2022ShiftFunction

2017-08-31 22:37 Updated by: doda
  • Ticket Close date is changed to 2017-08-31 22:37
  • Status Update from Open to Closed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login